import { PrimaryKeyProp, defineEntity, p } from '@mikro-orm/core';

export class IcrDotmatrixtermianltask {
  [PrimaryKeyProp]?: 'Id';
  Id!: bigint;
  UserId!: bigint;
  PageNo?: string;
  StartTime?: Date;
  EndTime?: Date;
  QuestionTaskId!: bigint;
  TaskType!: number;
  Status!: number;
  TerminalId?: string;
  Content?: string;
  Revision!: number;
  CreatedBy?: bigint;
  CreatedTime!: Date;
  UpdatedBy?: bigint;
  UpdatedTime?: Date;
  IsDeleted!: unknown;
}

export const IcrDotmatrixtermianltaskSchema = defineEntity({
  class: IcrDotmatrixtermianltask,
  comment: '点阵页任务',
  properties: {
    Id: p.bigint().primary().name('Id').unsigned(false).autoincrement(false).comment('主键Id'),
    UserId: p.bigint().name('UserId').comment('用户编号'),
    PageNo: p.string().name('PageNo').nullable().comment('点阵页码'),
    StartTime: p.datetime().name('StartTime').length(3).nullable().comment('任务采集开始时间'),
    EndTime: p.datetime().name('EndTime').length(3).nullable().comment('任务采集结束时间'),
    QuestionTaskId: p.bigint().name('QuestionTaskId').comment('问题任务编号'),
    TaskType: p.integer().name('TaskType').comment('任务类型'),
    Status: p.integer().name('Status').comment('状态'),
    TerminalId: p.string().name('TerminalId').nullable().comment('终端编号'),
    Content: p.string().name('Content').length(4000).nullable().comment('内容'),
    Revision: p.integer().name('Revision').comment('乐观锁'),
    CreatedBy: p.bigint().name('CreatedBy').nullable().comment('创建者用户Id'),
    CreatedTime: p.datetime().name('CreatedTime').length(3).comment('创建时间'),
    UpdatedBy: p.bigint().name('UpdatedBy').nullable().comment('修改者用户Id'),
    UpdatedTime: p.datetime().name('UpdatedTime').length(3).nullable().comment('修改时间'),
    IsDeleted: p.array().name('IsDeleted').comment('是否删除'),
  },
});
